GOstats-defunct {GOstats} | R Documentation

## Defunct Functions in GOstats Package

### Description

The functions or variables listed here are no longer part of GOstats as they are not needed (any more).

### Usage

    combGOGraph(g1, g2)
    hyperGtable(probids, lib, type="MF", pvalue=0.05,
                            min.count=10, save = FALSE, output = TRUE,
                            filename = NULL, universe = NULL)
    hyperG2Affy(probids, lib, type="MF", pvalue=0.05,
                             min.count=10, universe = NULL)

### Arguments

`g1` | A graph
`g2` | A graph
`probids` | A vector of Affymetrix probe IDs
`lib` | An annotation package (e.g., `hgu95av2.db`)
`type` | One of "MF", "CC", "BP", indicating molecular function, cellular component, or biological process, respectively.
`pvalue` | The significance level used to choose GO terms
`min.count` | The minimum number of a given GO term that must be on the chip in order to choose that GO term. This protects against very low p-values that result from the situation where there are very few genes with a given GO term on the chip, but one or two are found in the set of significant genes.
`universe` | A character vector of unique Entrez Gene identifiers or `NULL`. This is the population (the urn) of the Hypergeometric test. When `NULL` (default), the population is all Entrez Gene ids in the annotation package that have a GO term annotation in the specified GO category (see `GOHyperG` for more details).
`save` | Boolean - Set to `TRUE` to save the resulting `data.frame`.
`output` | Boolean - Set to `TRUE` to output the resulting `data.frame` as a text file.
`filename` | If output is set to `TRUE`, give the file name for the output file.

### Details

`combGOGraph` was replaced by `join`. `hyperGtable` was replaced by `summary`. `hyperG2Affy` was replaced by `probeSetSummary`.

[Package GOstats version 2.8.0 Index]